Bug 1470750 (CVE-2017-9789)

Summary: CVE-2017-9789 httpd: Read after free in mod_http2
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: apmukher, bmaxwell, cdewolf, chazlett, csutherl, darran.lofthouse, dimitris, dosoudil, fgavrilo, gzaronik, hhorak, jawilson, jclere, jdoyle, jkaluza, jondruse, jorton, jshepherd, lgao, luhliari, mbabacek, mturk, myarboro, pahan, pgier, pjurak, ppalaga, psakar, pslavice, rnetuka, rstancel, rsvoboda, sardella, twalsh, vtunka, weli
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: httpd 2.4.27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:16:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1470756    
Bug Blocks: 1470755    

Description Adam Mariš 2017-07-13 14:55:07 UTC
When under stress while closing many connections, the HTTP/2 handling code would sometimes access memory after it has been freed, resulting in potentially erratic behaviour.

Affected version: 2.4.26

External References:

https://httpd.apache.org/security/vulnerabilities_24.html#2.4.27

Comment 1 Adam Mariš 2017-07-13 15:02:30 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1470756]

Comment 2 Stefan Cornelius 2017-07-20 09:10:19 UTC
Patch:
http://svn.apache.org/viewvc?view=revision&revision=1800774